websocket, rest: synchronous enter
06/12/2025 05:07 PM - Josip Almasi

Status: Closed
Priority: Normal
Assignee: Josip Almasi
Category:

Target version:

Start date:

Due date:

% Done:
Estimated time:

Spent time:

06/12/2025

0%
0.00 hour
0.00 hour

Description

Enter world is naturally synchronous operation, current asynchronous approach requires WelcomelListeners and whatnot.

History

#1 - 06/15/2025 03:24 PM - Josip Almasi
- Assignee set to Josip Almasi

- Status changed from New to Resolved

Enter command extended with sync parameter, utilized by VRSpace.enterAsync() call that returns a promise.

New Worlds.enterWorld() REST API call equivalent to the command.

#2 - 06/22/2025 02:14 PM - Josip Almasi

- Status changed from Resolved to Closed

06/27/2025
